## IdeTerminal IdeTerminal |

## Functions

GtkWidget * | ide_terminal_new ()

## Signals

gboolean | copy-link-address | Action
gboolean | open-link | Action
void | populate-popup | Run Last
void | search-reveal | Action
void | select-all | Action

## Types and Values

#define | IDE_TYPE_TERMINAL
struct | IdeTerminalClass
| IdeTerminal

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── VteTerminal
                    ╰── IdeTerminal

## Implemented Interfaces

IdeTerminal implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### ide_terminal_new ()

    GtkWidget *
    ide_terminal_new (void);

## Types and Values

### IDE_TYPE_TERMINAL

    #define IDE_TYPE_TERMINAL (ide_terminal_get_type())

### struct IdeTerminalClass

    struct IdeTerminalClass {
      VteTerminalClass parent_class;

      void     (*populate_popup)      (IdeTerminal *self,
                                       GtkWidget   *widget);
      void     (*select_all)          (IdeTerminal *self,
                                       gboolean     all);
      void     (*search_reveal)       (IdeTerminal *self);
      gboolean (*open_link)           (IdeTerminal *self);
      gboolean (*copy_link_address)   (IdeTerminal *self);
    };

### IdeTerminal

    typedef struct _IdeTerminal IdeTerminal;

## Signal Details

### The `“copy-link-address”` signal

    gboolean
    user_function (IdeTerminal *ideterminal,
                   gpointer     user_data)

Flags: Action

### The `“open-link”` signal

    gboolean
    user_function (IdeTerminal *ideterminal,
                   gpointer     user_data)

Flags: Action

### The `“populate-popup”` signal

    void
    user_function (IdeTerminal *ideterminal,
                   GtkWidget   *widget,
                   gpointer     user_data)

Flags: Run Last

### The `“search-reveal”` signal

    void
    user_function (IdeTerminal *ideterminal,
                   gpointer     user_data)

Flags: Action

### The `“select-all”` signal

    void
    user_function (IdeTerminal *ideterminal,
                   gboolean     arg1,
                   gpointer     user_data)

Flags: Action